package types

/*
	Интерфейс к объекту арсенала
*/

// IArsenal -- интерфейс к объекту арсенала
type IArsenal interface {
	ISection
	// Fugas -- возвращает объект фугасов
	Fugas() IStatParam
	// Armor -- возвращает объект бронебойных снарядов
	Armor() IStatParam
	// Kumul -- возвращает объект кумулятивных снарядов
	Kumul() IStatParam
	// Remka -- возвращает объект ремкомплектов
	Remka() IStatParam
}
